<cfparam name="url.labelNumber" default="5160">

<cfquery name="people" datasource="cfugword">
	SELECT 
		FirstName,
		LastName,
		Address,
		City,
		State,
		Zip
	FROM People
	ORDER BY LastName, FirstName
</cfquery>

<cfinvoke
	component="WordLabelGeneratorAddress"
	method="createLabels"
  returnVariable="wordDoc">
	
	<cfinvokeargument name="labelNumber" value="#url.labelNumber#"/>
	<cfinvokeargument name="labelData" value="#people#" />
</cfinvoke>

<cfoutput>#wordDoc#</cfoutput>


<!---
			Tell the browser this is a word document
			--->
<cfheader 
	name="Content-Type" 
	value="application/msword">


<!---
			Tell the browser this is an attachment and
			provide a filename.
			--->
<cfheader 
	name="Content-Disposition" 
	value="attachment; filename=Labels02.doc">

