<!---
			Component extended class for creating Avery labels
			with a name and address.
			--->
<cfcomponent extends="WordLabelGeneratorBase">
	
	
	<!---
				The only thing we should do in extended component
				is override the createLabelContent function.
				--->
	<cffunction
		name="createLabelContent"
		returnType="string"
		access="private"
		output="no">
		
		<cfargument
			name="rec"
			type="numeric"
			required="true" />
		
		<cfset var content="">
		
		<cfsavecontent variable="content">
			<cfoutput>
				<p>#private.labelData.FirstName[arguments.rec]# 
				   #private.labelData.LastName[arguments.rec]#</p>
				<p>#private.labelData.Address[arguments.rec]#</p>
				<p>#private.labelData.City[arguments.rec]#, 
				   #private.labelData.State[arguments.rec]# 
					 #private.labelData.Zip[arguments.rec]#</p>
			</cfoutput>
		</cfsavecontent>	
		
		<cfreturn content>
					
	</cffunction>

</cfcomponent>			
