<!---
			Component extended class for creating Avery labels
			with just a name.
			--->
<cfcomponent extends="WordLabelGeneratorBase">
	
	
	<!---
				The only thing we should do in extended component
				is override the createLabelContent function.
				--->
	<cffunction
		name="createLabelContent"
		returnType="string"
		access="private"
		output="no">
		
		<cfargument
			name="rec"
			type="numeric"
			required="true" />
		
		<cfset var content="">
		
		<cfsavecontent variable="content">
			<cfoutput>
				<p>#private.labelData.ProductName[arguments.rec]#</p> 
				<p>#DateFormat(private.labelData.ReleaseDate[arguments.rec],"yyyy")#</p> 
				<p>Serial No. #private.labelData.SerialNum[arguments.rec]#</p> 
			</cfoutput>
		</cfsavecontent>	
			
		<cfreturn content>
					
	</cffunction>

</cfcomponent>			
