<html xmlns:w="urn:schemas-microsoft-com:office:word">

	<head>
		<xml>
		 <w:WordDocument> 
			<w:View>Print</w:View>
			<w:SpellingState>Clean</w:SpellingState>
			<w:GrammarState>Clean</w:GrammarState>
			<w:Compatibility>
			 <w:BreakWrappedTables/>
			 <w:SnapToGridInCell/>
			 <w:WrapTextWithPunct/>
			 <w:UseAsianBreakRules/>
			</w:Compatibility>
			<w:DoNotOptimizeForBrowser/>
		 </w:WordDocument>
		</xml>
		<style>
			<!--
			 /* Style Definitions */
			/*
					Section1 is a standard page definition
					as in previous examples.
			*/
			@page Section1 {
				size:8.5in 11.0in;
				margin:1.0in 1.25in 1.0in 1.25in;
			}
			div.Section1 {
				page:Section1;
			}
			/*
					Section2 defines a two column layout using
					the mso-columns style attribute.
			*/
			@page Section2 {
				size:8.5in 11.0in;
				margin:1.0in 1.25in 1.0in 1.25in;
				mso-columns:2 even .5in;
			}
			div.Section2 {
				page:Section2;
			}
			p {
				margin:0in;
				margin-bottom:12.0pt;
				mso-pagination:widow-orphan;
				font-size:11.0pt;
				font-family:"Times New Roman";
			}
			p.centered {
				text-align:center;
			}
			p.justified {
				text-align:justify;
			}
			-->
		</style>
		
	</head>
	
	<body>
	

		<!---
					This is standard layout for the title.
					--->
		<div class="Section1">
		
			<p class="centered">ANSI.SYS Shortcuts</p>
			
			<p>&nbsp;</p>
			
		</div>
		

		<!---
					Use a BR tag with special MSO style attributes
					to define the section break.
					--->
		<br 
			clear="all" 
			style="page-break-before:auto;mso-break-type:section-break" />
		
		
		<!---
					Section2 will be displayed using columns.
					--->
		<div class="Section2">
		
			<p class="justified">This
			article is intended to speed up and generally improve your DOS environment.
			There is a file which ships with MS-DOS 6.22 and the Win95 DOS7 Command prompt
			called ANSI.SYS.</p>
			
			<p class="justified">This
			little file can be loaded 'high' in your CONFIG.SYS file.<span
			style='mso-spacerun:yes'> </span>It takes up very little of your precious
			conventional memory and opens up new worlds of potential for the command
			prompt.<span style='mso-spacerun:yes'> </span>In your AUTOEXEC.BAT file, you
			can initialize the way ANSI.SYS defines the actions for your F1-F12 function
			keys at the command prompt.<span style='mso-spacerun:yes'> </span>To do this,
			add this little section to autoexec.bat at the end which modifies the DOS
			prompt.</p>
			
			<p class="justified">You
			will notice standard (but long) DOS commands in
			quotes in the above example; these are the functions the buttons will perform.
			The numbers, for example 62 or 134, refer to the keyboard codes of the function
			buttons.</p>
			
			<p class="justified">The
			other commands refer to common practices such as quitting the current
			subdirectory and jumping straight to the root directory. Another useful command
			is to list only subdirectories.</p>
			
			<p class="justified">By
			altering only the command-strings in the above example you can automate almost
			any procedure in DOS/Command.<span style='mso-spacerun:yes'> </span>For
			example, the above block is actually NOT what I use in my autoexec.bat file; I
			launch another batch-file to load the above as 'STANDARD DOS SESSION', and
			preset the rest of the keys to load my favorite software.</p>
			
			<p class="justified">For
			instance, if I exit Windows 95 and go to DOS to play Duke Nukem
			3D (yes I know I can do it in Windows), all I need to do is to press F11, and
			the computer sets up Smartdrive and my soundcard,
			fails to load the DOS mouse-driver, and loads Duke Nukem
			with my favorite level preset.<span style='mso-spacerun:yes'> </span></p>
			
			<p class="justified">Note
			that this won't work on your system unless you have batch files of those
			names.<span style='mso-spacerun:yes'> </span>Basically the above strings load
			little batch-files I have in my c:\windows directory; 'DUKE', for example, is
			the one I mentioned above to set up Duke Nukem to
			auto-load on pressing F11 from entering DOS.<span style='mso-spacerun:yes'>
			</span>'INIT' is the F12 key setup for a standard DOS session with all the
			useful little add-ons.</p>
			
			<p class="justified">Notice
			also that every ANSI setup ends with the line prompt $p$g.<span
			style='mso-spacerun:yes'> </span>This is to return the command prompt to its
			usual form. Note also the '13p' part of the commands - this is the ENTER key,
			and if you leave it out, the command-string will still be entered - you'll just
			have to hit return as well.</p>
			
			<p class="justified">Try
			the first example block in your autoexec.bat file, and see the advantage of
			being able to bring up only executable files, wide listings of names only, and
			all the rest, all at the touch of a button.<span style='mso-spacerun:yes'>
			</span>Then set it up as a separate file for the standard session option at
			startup and 'install' your favorite games and DOS programs as function
			buttons.<span style='mso-spacerun:yes'> </span>It makes MS-DOS work so much
			faster and easier.</p>
		
		</div>
		
	</body>

</html>


<!---
			Tell the browser this is a word document
			--->
<cfheader 
	name="Content-Type" 
	value="application/msword">


<!---
			Tell the browser this is an attachment and
			provide a filename.
			--->
<cfheader 
	name="Content-Disposition" 
	value="attachment; filename=Columns01.doc">
