
<!---
			Read all document files into variables.
			--->
<cfset rootPath=expandPath(".\")>

<cffile 
	action="read" 
	file="#rootPath#Columns02_MainDoc.htm"
	variable="mainDoc">

<cffile 
	action="read" 
	file="#rootPath#Columns02_header.htm"
	variable="header">

<cffile 
	action="read" 
	file="#rootPath#Columns02_FileList.xml"
	variable="fileList">
	

<!---
			Use MultipartMIME component to construct
			the web archive.
			--->
<cfscript>

	msg=CreateObject("component","MultipartMIME");
	
	
	
	// Need random text for content location
	locationPart=msg.getRandText();
	locationRoot="file:///C:/#locationPart#/";
	
	msg.addPart(mainDoc, "#locationRoot#Columns02.htm","text/html");
	msg.addPart(header, "#locationRoot#Columns02_files/header.htm", "text/html");
	msg.addPart(fileList, "#locationRoot#Columns02_files/filelist.xml", "text/xml");
	
</cfscript>			


<!---
			Tell the browser this is a word document
			--->
<cfheader 
	name="Content-Type" 
	value="application/msword">


<!---
			Tell the browser this is an attachment and
			provide a filename.
			--->
<cfheader 
	name="Content-Disposition" 
	value="attachment; filename=Columns02.doc">


<!---
			use CFCONTENT to clear all text, the mime header
			has to be on the first line.
			--->
<cfcontent reset="yes"><cfoutput>#msg.getMessage()#</cfoutput>